import * as aws    from "@pulumi/aws";
import * as pulumi from "@pulumi/pulumi";

import * as common from "./common";

const tags   = common.tags;
const prefix = `${common.prefix}-database`;

new aws.dynamodb.Table(`${prefix}-users`, {
  tags,
  name: "Users",  // これがDynamoDBのTableNameになる
  attributes: [
    { name: "id", type: "S", },
  ],
  hashKey: "id",
  billingMode: "PAY_PER_REQUEST",
});
